Bug 1952927 - Review Request: ne - ne, the nice editor
Summary: Review Request: ne - ne, the nice editor
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: 34
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-04-23 15:25 UTC by Sebastiano Vigna
Modified: 2022-12-08 01:11 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-05-27 00:31:58 UTC
Type: Bug
Embargoed:
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Sebastiano Vigna 2021-04-23 15:25:03 UTC
Spec file: https://raw.githubusercontent.com/vigna/ne/master/ne.spec
Source RPM: http://vigna.di.unimi.it/ne-3.3.0-1.fc32.src.rpm

(Note that the source is fc32 because presently I do not have a Fedora 34 installation. There should be no difference.)

This request follows a suggestion from https://bugzilla.redhat.com/show_bug.cgi?id=1302809 to submit a new request for reviewing a Fedora package for ne, the nice editor.

Description: ne is a free (GPL'd) text editor based on the POSIX standard that runs (we hope) on almost any UN*X machine. ne is easy to use for the beginner, but powerful and fully configurable for the wizard, and most sparing in its resource usage.

ne is already available in Debian, Ubuntu, FreeBSD, Brew (for Mac OS) and other distributions. Since I've been a loyal Fedora user since its first release, I'd love to have ne in Fedora, too.

Comment 1 Artur Frenszek-Iwicki 2021-04-27 23:20:14 UTC
> Buildroot: /tmp/ne-%{version}
Don't use this.
https://docs.fedoraproject.org/en-US/packaging-guidelines/#_tags_and_sections

> %install
> rm -rf $RPM_BUILD_ROOT
Don't do this.
https://docs.fedoraproject.org/en-US/packaging-guidelines/#_tags_and_sections

> AutoReqProv: no
I've never seen this used in a Fedora package. I looked at the Fedora wiki and the only info I could found was a draft dating back to 2010. I think it should be safe to remove this.

> %global debug_package %{nil}
Hard "no" on this. We want debug packages in Fedora. If you need to add this, then it means that either the build is made without debuginfo, or that it's stripped somewhere during the build process. For starters, you can try calling "%set_build_flags" at the start of your %build section - this should set up CFLAGS/LDFLAGS properly. If that doesn't help, you may need to patch the Makefile.
https://docs.fedoraproject.org/en-US/packaging-guidelines/Debuginfo/

> %files
> %defattr(-,root,root)
> /usr/bin/ne
1. %defattr should only be used when setting non-default values.
   https://docs.fedoraproject.org/en-US/packaging-guidelines/#_file_permissions
2. Avoid hard-coded paths. Use %{_bindir} here.
   https://docs.fedoraproject.org/en-US/packaging-guidelines/RPMMacros/#_macros_for_paths_set_and_used_by_build_systems

> %files
> %{_datadir}/ne/extensions
> %{_datadir}/ne/syntax/*.jsf
> %{_datadir}/ne/macros/*
Specifying the list like this makes the package own the files, but not the directories themselves.
https://docs.fedoraproject.org/en-US/packaging-guidelines/UnownedDirectories/

Comment 2 Sebastiano Vigna 2021-04-27 23:53:37 UTC
Thank you for the detailed review. This spec file has been around for about 25 years, as we were using ne at the end of the 90's on the very first versions of Red Hat; thus, it certainly contains some ancestral residues :).

I fixed carefully all the problems reported, hopefully.

Spec file: https://raw.githubusercontent.com/vigna/ne/master/ne.spec
Source RPM: http://vigna.di.unimi.it/ne-3.3.0-1.fc33.src.rpm

Comment 3 Sebastiano Vigna 2021-04-28 00:30:20 UTC
I just read the instructions for packagers, and I realized some information is missing.

- This is my first package, so I need a sponsor.
- My Fedora account is "vigna" (the associated email is the same of this account, sebastiano.vigna).

Comment 4 Sebastiano Vigna 2021-04-28 08:04:16 UTC
Additional information:

- koji builds work for eln, epel7, epel8, f32, f33, f34, f35: https://koji.fedoraproject.org/koji/tasks?owner=vigna&state=all

Comment 5 Artur Frenszek-Iwicki 2021-04-28 20:13:05 UTC
> %build
> cd src; make NE_GLOBAL_DIR=%{_datadir}/ne LIBS=-lncurses OPTS=-g
While nice and minimalistic, this ignores the distro's preferred compiler flags.
You should either call %set_build_flags at the start of the %build section,
or manually pass %{optflags} to the compiler.
https://docs.fedoraproject.org/en-US/packaging-guidelines/#_compiler_flags

Comment 6 Sebastiano Vigna 2021-04-28 21:26:53 UTC
Thanks for the comment. Spec file fixed (same address). All koji builds working.

Comment 7 Sebastiano Vigna 2021-05-05 09:45:38 UTC
Is there anything I should still do?

The documentation says to look for sponsors after the review has been completed; also, the link to sponsors suggested in the documentation is no longer working. So I'm stuck on that issue.

Comment 8 Robert-André Mauchin 🐧 2021-05-08 11:28:37 UTC
 - This is not needed anymore:


%post
/sbin/install-info %{_infodir}/ne.info.gz %{_infodir}/dir

%preun
if [ "$1" = 0 ]; then
    /sbin/install-info --delete %{_infodir}/ne.info.gz %{_infodir}/dir
fi


 - This shouldn't be needed since you are using %doc:

mkdir -p $RPM_BUILD_ROOT%{_docdir}/ne-%{version}/html

 - Split your BR one per line

 - You must install the licence with %license in %files, not %doc:

%license ./COPYING

Comment 9 Sebastiano Vigna 2021-05-08 13:23:01 UTC
- I removed the install-info stuff, and consequently the dependency on info (correct?).
- Yes, I can confirm that the mkdir above is not needed.
- Fixed %doc -> %license.
- Split BR: I guess this refers to the line "cd src; make...", which has been split.

Comment 10 Robert-André Mauchin 🐧 2021-05-08 18:07:23 UTC
(In reply to Sebastiano Vigna from comment #9)
> - I removed the install-info stuff, and consequently the dependency on info
> (correct?).
> - Yes, I can confirm that the mkdir above is not needed.
> - Fixed %doc -> %license.
> - Split BR: I guess this refers to the line "cd src; make...", which has
> been split.

Sorry, BR = BuildRequires

Comment 11 Sebastiano Vigna 2021-05-08 19:28:29 UTC
Fixed, thanks!

Comment 12 Robert-André Mauchin 🐧 2021-05-15 14:12:10 UTC
 - make -> %make_build

 - Split the doc into a separate *noarch* subpackage

- Large documentation must go in a -doc subpackage. Large could be size
  (~1MB) or number of files.
  Note: Documentation size is 1884160 bytes in 202 files.
  See: https://docs.fedoraproject.org/en-US/packaging-
  guidelines/#_documentation


Recommends: ne-doc = %{version}-%{release}

[…]

%package doc
Summary: Documentation for ne, the nice editor
BuildArch: noarch

%description doc
Documentation for ne, the nice editor.

[…]

%files doc
%license ./COPYING
%doc html
%doc ./doc/ne.texinfo
%doc ./doc/ne.pdf
%doc ./doc/ne.txt
%doc ./doc/default.*


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Large documentation must go in a -doc subpackage. Large could be size
  (~1MB) or number of files.
  Note: Documentation size is 1884160 bytes in 202 files.
  See: https://docs.fedoraproject.org/en-US/packaging-
  guidelines/#_documentation


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: If your application is a C or C++ application you must list a
     BuildRequires against gcc, gcc-c++ or clang.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "*No copyright* GNU General Public
     License, Version 3", "*No copyright* [generated file]", "GNU General
     Public License v3.0 or later", "GNU General Public License v3.0 or
     later [generated file]", "GNU Lesser General Public License v2.1 or
     later", "GNU General Public License v2.0 or later", "GNU General
     Public License v2.0 or later [obsolete FSF postal address (Mass
     Ave)]". 286 files have unknown license. Detailed output of
     licensecheck in /home/bob/packaging/review/ne/review-
     ne/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Uses parallel make %{?_smp_mflags} macro.
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
     Note: Arch-ed rpms have a total of 2396160 bytes in /usr/share
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: ne-3.3.0-1.fc35.x86_64.rpm
          ne-debuginfo-3.3.0-1.fc35.x86_64.rpm
          ne-debugsource-3.3.0-1.fc35.x86_64.rpm
          ne-3.3.0-1.fc35.src.rpm
ne.x86_64: W: summary-not-capitalized C ne, the nice editor
ne.x86_64: W: name-repeated-in-summary C ne
ne.src: W: summary-not-capitalized C ne, the nice editor
ne.src: W: name-repeated-in-summary C ne
4 packages and 0 specfiles checked; 0 errors, 4 warnings.


=================================================================

Summary: ne, the nice editor
Name: ne
Version: 3.3.0
Release: 1%{?dist}
License: GPLv3+
Source0: http://ne.di.unimi.it/ne-%{version}.tar.gz
URL: http://ne.di.unimi.it/
Requires: ncurses
BuildRequires: gcc
BuildRequires: ncurses-devel
BuildRequires: make
BuildRequires: bash
BuildRequires: perl
BuildRequires: texinfo
BuildRequires: sed
Recommends: ne-doc = %{version}-%{release}

%description
ne is a free (GPL'd) text editor based on the POSIX standard that runs (we
hope) on almost every UN*X machine. ne is easy to use for the beginner, but
powerful and fully configurable for the wizard, and most sparing in its
resource usage.

%package doc
Summary: Documentation for ne, the nice editor
BuildArch: noarch

%description doc
Documentation for ne, the nice editor.

%prep
%setup -q

%build
cd src
%make_build NE_GLOBAL_DIR=%{_datadir}/ne LIBS=-lncurses OPTS="%{optflags} -fno-strict-aliasing -Wno-parentheses"

%install
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/ne/syntax
mkdir -p $RPM_BUILD_ROOT%{_datadir}/ne/macros
mkdir -p $RPM_BUILD_ROOT%{_infodir}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
install -p -m 755 ./src/ne $RPM_BUILD_ROOT%{_bindir}/ne
install -p -m 644 ./extensions $RPM_BUILD_ROOT%{_datadir}/ne/extensions
install -p -m 644 ./syntax/*.jsf $RPM_BUILD_ROOT%{_datadir}/ne/syntax
install -p -m 644 ./macros/* $RPM_BUILD_ROOT%{_datadir}/ne/macros
install -p -m 644 ./doc/ne.1 $RPM_BUILD_ROOT%{_mandir}/man1
install -p -m 644 ./doc/ne.info* $RPM_BUILD_ROOT%{_infodir}
rm INSTALL.md
mv doc/html .

%files
%{_bindir}/ne
%{_datadir}/ne/
%{_mandir}/man1/ne.1*
%{_infodir}/ne.info*
%doc ./README.md
%doc ./NEWS
%doc ./CHANGES
%license ./COPYING

%files doc
%license ./COPYING
%doc html
%doc ./doc/ne.texinfo
%doc ./doc/ne.pdf
%doc ./doc/ne.txt
%doc ./doc/default.*

%changelog
* Sat May 8 2021 Sebastiano Vigna <sebastiano.vigna> - 3.3.0-1
- First release

Comment 13 Robert-André Mauchin 🐧 2021-05-15 14:13:40 UTC
Also use https if possible in URL and Source

Comment 14 Sebastiano Vigna 2021-05-15 14:59:46 UTC
All comments implemented.

I see in your suggestion that you left out of the doc package the man page and ne.info.gz, which are small, so I left them in the main package.

We are planning a 3.3.1 release, which will position the OPTS options at the _end_. Presently, the -O3 option in ne's makefile is specified after $(OPTS), so it overrides Fedora's preferred -O2 option. That won't be the case in 3.3.1. So the first actual package I plan to create is for 3.3.1.

Comment 15 Robert-André Mauchin 🐧 2021-05-15 15:35:54 UTC
 - Don't add %doc here and keep it in the main package:

{_infodir}/ne.info*

It should be directly available along the binary like the man page.


Package is approved. I've also sponsored you and I'll send you a message regarding the next steps.

Comment 16 Gwyn Ciesla 2021-05-17 21:01:36 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/ne

Comment 17 Fedora Update System 2021-05-18 16:56:02 UTC
FEDORA-2021-146dceeec8 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-146dceeec8

Comment 18 Fedora Update System 2021-05-18 17:49:44 UTC
FEDORA-EPEL-2021-48b875cd5a has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-48b875cd5a

Comment 19 Fedora Update System 2021-05-18 18:03:37 UTC
FEDORA-EPEL-2021-d7232656c7 has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-d7232656c7

Comment 20 Fedora Update System 2021-05-18 18:04:17 UTC
FEDORA-2021-33f6e2fd00 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-33f6e2fd00

Comment 21 Fedora Update System 2021-05-18 18:04:27 UTC
FEDORA-2021-d5a0ecfed9 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2021-d5a0ecfed9

Comment 22 Fedora Update System 2021-05-19 01:48:02 UTC
FEDORA-EPEL-2021-d7232656c7 has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-d7232656c7

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 23 Fedora Update System 2021-05-19 02:20:44 UTC
FEDORA-2021-146dceeec8 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2021-146dceeec8 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-146dceeec8

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 24 Fedora Update System 2021-05-19 02:26:47 UTC
FEDORA-EPEL-2021-48b875cd5a has been pushed to the Fedora EPEL 7 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-48b875cd5a

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 25 Fedora Update System 2021-05-19 02:29:45 UTC
FEDORA-2021-33f6e2fd00 has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2021-33f6e2fd00 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-33f6e2fd00

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 26 Fedora Update System 2021-05-19 02:38:38 UTC
FEDORA-2021-d5a0ecfed9 has been pushed to the Fedora 32 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2021-d5a0ecfed9 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-d5a0ecfed9

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 27 Fedora Update System 2021-05-27 00:31:58 UTC
FEDORA-2021-146dceeec8 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 28 Fedora Update System 2021-05-27 01:04:49 UTC
FEDORA-2021-33f6e2fd00 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 29 Fedora Update System 2021-06-03 00:30:45 UTC
FEDORA-EPEL-2021-d7232656c7 has been pushed to the Fedora EPEL 8 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 30 Fedora Update System 2021-06-03 00:50:04 UTC
FEDORA-EPEL-2021-48b875cd5a has been pushed to the Fedora EPEL 7 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 31 Fedora Update System 2022-09-28 16:10:28 UTC
FEDORA-2022-fff764732c has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2022-fff764732c

Comment 32 Fedora Update System 2022-09-28 16:12:37 UTC
FEDORA-2022-7fef8e2263 has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2022-7fef8e2263

Comment 33 Fedora Update System 2022-09-28 16:12:48 UTC
FEDORA-2022-5507751bab has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2022-5507751bab

Comment 34 Artur Frenszek-Iwicki 2022-09-28 16:28:10 UTC
Please do not tag this bug when submitting package updates. It only creates unnecessary noise here and in people's mailboxes.

Comment 35 Fedora Update System 2022-09-29 04:17:39 UTC
FEDORA-2022-7fef8e2263 has been pushed to the Fedora 36 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-7fef8e2263`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-7fef8e2263

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 36 Fedora Update System 2022-09-29 04:39:45 UTC
FEDORA-2022-fff764732c has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-fff764732c`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-fff764732c

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 37 Fedora Update System 2022-09-29 05:01:20 UTC
FEDORA-2022-5507751bab has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-5507751bab`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-5507751bab

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 38 Fedora Update System 2022-10-06 15:14:47 UTC
FEDORA-2022-7fef8e2263 has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 39 Fedora Update System 2022-10-06 16:20:18 UTC
FEDORA-2022-5507751bab has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 40 Fedora Update System 2022-11-29 23:41:11 UTC
FEDORA-EPEL-2022-ecac41d49d has been submitted as an update to Fedora EPEL 9. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-ecac41d49d

Comment 41 Fedora Update System 2022-11-30 01:43:57 UTC
FEDORA-EPEL-2022-ecac41d49d has been pushed to the Fedora EPEL 9 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-ecac41d49d

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 42 Fedora Update System 2022-12-08 01:11:11 UTC
FEDORA-EPEL-2022-ecac41d49d has been pushed to the Fedora EPEL 9 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.